QGIS Application - Bug report #15050
some attribute edits aren't saved when using multiline text widget
2016-06-16 11:53 AM - Andrew McAninch

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22994
Description

If I have a field in an attribute table form set as a multi-line text box the user can enter a value that is longer than the field length. Then,
when the user clicks "OK" the form closes without any warnings but the attribute value is not saved because it exceeds the length of the
field. The only way the user can tell if this has happened is to double check the attribute table or the form.

This also happen when editing attributes in the attribute table view, but at least in this case you can see that the data is not saved, though
there is no information about why it wasn't saved.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2019-03-09 04:23 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
